Google Chrome < 11.0.696.57 Multiple Vulnerabilities

High Nessus Plugin ID 53569


The remote host contains a web browser that is affected by multiple vulnerabilities.


The version of Google Chrome installed on the remote host is earlier than 11.0.696.57. Such versions of Chrome are affected by multiple vulnerabilities:

- A stale pointer exists in floating object handling.
(Issue #61502)

- It may be possible to bypass the pop-up blocker via plug-ins. (Issue #70538)

- There is a lack of thread safety in MIME handling.
(Issue #71586)

- A bad extension with 'tabs' permission can capture local files. (Issue #72523)

- Multiple integer overflows exist in float rendering.
(Issue #73526)

- A same origin policy violation exists with blobs.
(Issue #74653)

- A use-after-free error exists with <ruby> tags and CSS.
(Issue #75186)

- A bad cast exists with floating select lists.
(Issue #75347)

- Corrupt node trees exist with mutation events.
(Issue #75801)

- Multiple stale pointers exist in layering code.
(Issue #76001)

- An out-of-bounds read exists in SVG. (Issue #76646)

- It is possible to spoof the URL bar with navigation errors and interrupted loads. (Issue #76666, #77507, #78031)

- A stale pointer exists in drop-down list handling.
(Issue #76966)

- A stale pointer exists in height calculations.
(Issue #77130)

- A use-after-free error exists in WebSockets.
(Issue #77346)

- Multiple dandling pointers exist in file dialogs.
(Issue #77349)

- Multiple dangling pointers exist in DOM id map.
(Issue #77463)

- It is possible to spoof the URL bar with redirect and manual reload. (Issue #77786)

- A use-after-free issue exists in DOM id handling.
(Issue #79199)

- An out-of-bounds read exists when handling multipart-encoded PDFs. (Issue #79361)

- Multiple stale pointers exist with PDF forms.
(Issue #79364)


Upgrade to Google Chrome 11.0.696.57 or later.

See Also

Plugin Details

Severity: High

ID: 53569

File Name: google_chrome_11_0_696_57.nasl

Version: $Revision: 1.13 $

Type: local

Agent: windows

Family: Windows

Published: 2011/04/27

Modified: 2017/04/03

Dependencies: 34196

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:google:chrome

Required KB Items: SMB/Google_Chrome/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/04/27

Vulnerability Publication Date: 2011/04/27

Reference Information

CVE: CVE-2011-1303, CVE-2011-1304, CVE-2011-1434, CVE-2011-1435, CVE-2011-1437, CVE-2011-1438, CVE-2011-1440, CVE-2011-1441, CVE-2011-1442, CVE-2011-1443, CVE-2011-1445, CVE-2011-1446, CVE-2011-1447, CVE-2011-1448, CVE-2011-1449, CVE-2011-1450, CVE-2011-1451, CVE-2011-1452, CVE-2011-1454, CVE-2011-1455, CVE-2011-1456

BID: 47604

OSVDB: 72196, 72197, 72199, 72200, 72202, 72203, 72205, 72206, 72207, 72208, 72210, 72211, 72212, 72213, 72214, 72215, 72216, 72217, 72218, 72219, 72220, 90384, 90385